
GammaLib - Feature #653

Add leap second handling to GTime class.

12/17/2012 10:46 PM - Knödlseder Jürgen

Status: Closed Start date: 12/17/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-09-00   

Description

So far, conversion between TT and UTC is not managed by GTime. Also, no routines exist to print the time in string format. Both

features should be added.

For this, we have to see how we deal with leap seconds:

1. Hardwired?

2. Provided in a file?

History

#1 - 10/11/2014 09:10 PM - Knödlseder Jürgen

- File XTime.h added

- File XTime.cc added

- File  UTC, GPS, TAI, and Unix-C times..pdf added

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

Attached some files that describe the problematic and that give some code examples. I will try to adapt attachment:XTime.cc in the GTime class.

#2 - 10/12/2014 01:16 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- Target version set to 00-09-00

- % Done changed from 0 to 100

Implement GTime::utc() methods to set and retrieve the time as a string in the UTC time system.

Leap seconds are hard-wired and need a regular update of the code.

Files

XTime.h 20 KB 10/11/2014 Knödlseder Jürgen

XTime.cc 30.3 KB 10/11/2014 Knödlseder Jürgen

 UTC, GPS, TAI, and Unix-C times..pdf 192 KB 10/11/2014 Knödlseder Jürgen
